#!/bin/sh

if [ -d cursors ]; then
	rm -rf cursors/*
else
	mkdir cursors
fi

cd src
for f in *.cfg; do xcursorgen $f ../cursors/`echo $f | sed -e 's@.cfg@@'`; done

cd ../cursors
#Now make some symbol links
#Arrow cursors:
	ln -fs top_side		v_double_arrow
	ln -fs top_side		bottom_side
	ln -sf top_side		00008160000006810000408080010102
	
	ln -sf left_side	h_double_arrow
	ln -sf left_side	right_side
	ln -sf left_side	028006030e0e7ebffc7f7070c0600140
	
	ln -sf top_right_corner	fd_double_arrow
	ln -sf top_right_corner	fcf1c3c7cd4491d801f1e1c78f100000
	ln -sf top_left_corner	bd_double_arrow
	ln -sf top_left_corner	c7088f0f3e6c8088236ef8e1e3e70000

#Split vertical/horizontal cursors:
#	TODO...

#Qt and KDE hand cursors:

#DnD cursors:
	ln -sf crossed_circle	03b6e0fcb3499374a867c041f52298f0
	ln -sf left_ptr		4498f0e0c1937ffe01fd06f973665830

#Working and what's this cursors:
	ln -sf left_ptr_watch	3ecb610c1bf2410f44200f48c40d3599
	ln -sf question_arrow	d9ce0ab605698f320427677b458ad60b

cd ..

if [ -d ~/.icons/CursorCraft ]; then
	rm -rf ~/.icons/CursorCraft/*
else
	mkdir ~/.icons
	mkdir ~/.icons/CursorCraft
fi

cp -dpR cursors ~/.icons/CursorCraft
